Name:		akarixb
Version:	0.4
Release:	%mkrel 1
Summary:	A Jabber/XMPP bot based on Qt and QXMPP
License:	GPLv2+
Group:		Networking/Instant messaging
Url:		https://jancoding.wordpress.com/akarixb/
Source0:	http://download.savannah.gnu.org/releases/dianara/%{name}-v%{version}.tar.gz
Patch0:		akarixb-0.4-mga-install.patch
Patch1:		akarixb-0.4-mga-completed_french_translation.patch
BuildRequires:	qttools5
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(qxmpp)

%description
AkariXB is a Jabber/XMPP bot with a graphical interface.
It can also act as a basic XMPP client.

You can make it join MUC rooms and answer to custom commands, which can be a
static reply, a random reply from a list, a random line from a text file, the
output of a program, a keyword-based reply, etc.

%prep
%setup -q -n %{name}-v%{version}
%autopatch -p1

# generate French translation file
%{_qt5_bindir}/lrelease translations/akarixb_fr.ts

%build
%qmake_qt5

%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc CHANGELOG README TODO
%license LICENSE
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_mandir}/man1/%{name}.1.*


%changelog
* Wed Jun 29 2016 daviddavid <daviddavid> 0.4-1.mga6
+ Revision: 1038094
- initial package akarixb (thanks to JanKusanagi)

